{% extends "base.html" %}
{% load poly_custom_extra %}

{% block content %}
    <h2>People</h2>
        {% for show in object_list %}
        <div>
            <h2>{{ show.name }}</h2>

            <p>Status: {{ show.creativework.creative_work_status }}</p>
            <p>Publish Date: {{ show.creativework.publish_date }}</p>
            <p>Language: {{ show.creativework.language }}</p>

            <ul>
            {% for season in show.seasons %}
                <li>
                    <p>{{ season.name }}</p>
                    <p>Status: {{ season.creativework.creative_work_status }}</p>
                    <p>Publish Date: {{ season.creativework.publish_date }}</p>
                    <p>Language: {{ season.creativework.language }}</p>
                </li>

            {% endfor %}
            </ul>

            <ul>
            {% for episode in show.episodes %}
                <li>
                    <p>{{ episode.name }}</p>
                    <p>Status: {{ episode.creativework.creative_work_status }}</p>
                    <p>Publish Date: {{ episode.creativework.publish_date }}</p>
                    <p>Language: {{ episode.creativework.language }}</p>
                </li>
            {% endfor %}
            </ul>

            <ul>
            {% for season in show.seasons %}
                <li>{{ season.name }}</li>
                {% for episode in season.episodes %}
                    <li>{{ episode.name }}</li>
                {% endfor %}
            {% endfor %}
            </ul>

        </div>
        {% endfor %}

{% endblock %}